Debian Bug report logs - #362163
ITA: libticables3 -- support library for Texas Instruments link cables

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Julien BLACHE <jblache@debian.org>

Date: Wed, 12 Apr 2006 15:48:27 UTC

Owned by: Krzysztof Burghardt <krzysztof@burghardt.pl>

Severity: normal

Fixed in version libticables3/3.9.7-1

Done: Krzysztof Burghardt <krzysztof@burghardt.pl>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#362163; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Julien BLACHE <jblache@debian.org>:
New Bug report received and forwarded. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Julien BLACHE <jblache@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: O: libticables3 -- support library for Texas Instruments link cables
Date: Wed, 12 Apr 2006 17:28:21 +0200
Package: wnpp
Severity: normal

Hi,

I intend to orphan the libticables3 package.

The package description is:
 This library provides functions to use Texas Instruments link cables for TI
 calculators. It currently supports all cables on i386, including the USB one.
 Supported cables may vary depending on your architecture.
 .
 The serial (home-made, BlackLink), parallel and USB cables may require your
 users to run your software with root privileges. You can avoid this by
 installing the three kernel modules supporting these cables. The source of
 these modules are provided in the tidev-modules-source package. It will produce
 a Debian package containing the three binary modules, compiled for your running
 kernel.
 .
 The documentation and development files are included in the libticables3-dev
 package.

You will probably be interested in the related, also orphaned, packages:
 tilp, tiemu, skinedit, tidev-modules-source, libtifiles0, libticalcs4

JB.

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.12
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)



Information stored:
Bug#362163; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Paul Wise <pabs@debian.org>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #10 received at 362163-quiet@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs@debian.org>
To: Romain LIEVIN <roms@tilp.info>
Cc: 362161-quiet@bugs.debian.org, 362159-quiet@bugs.debian.org, 362157-quiet@bugs.debian.org, 362163-quiet@bugs.debian.org, 362164-quiet@bugs.debian.org, 362166-quiet@bugs.debian.org
Subject: Debian: tilp/tiemu/libticalcs/libticables/libtifiles/skinedit: needs love
Date: Tue, 27 Nov 2007 10:46:50 +0930
[Message part 1 (text/plain, inline)]
Hi,

The Debian packages of tilp, tiemu, libticalcs, libticables, libtifiles,
libtifiles and skinedit were orphaned by the previous maintainer, Julian
Blanche. Some of them now fail to build from source because the modules
packages were removed because they are apparently part of Linux now:

http://bugs.debian.org/362162

Are you interested in adopting these packages, or do you know any Debian
users who would be interested in keeping them in Debian and helping
maintain them? Ideally someone who has access to the hardware would be
good.

-- 
bye,
pabs

http://wiki.debian.org/PaulWise
[signature.asc (application/pgp-signature, inline)]

Information stored:
Bug#362163; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Paul Wise <pabs@debian.org>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #15 received at 362163-quiet@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs@debian.org>
To: Romain Liévin <roms@lievin.net>, Julien Blache <jb@jblache.org>
Cc: 362161-quiet@bugs.debian.org, 362159-quiet@bugs.debian.org, 362157-quiet@bugs.debian.org, 362163-quiet@bugs.debian.org, 362164-quiet@bugs.debian.org, 362166-quiet <362166-quiet@bugs.debian.org>
Subject: Re: Debian: tilp/tiemu/libticalcs/libticables/libtifiles/skinedit: needs love
Date: Wed, 28 Nov 2007 10:08:23 +0930
[Message part 1 (text/plain, inline)]
[keeping the bugs informed]

On Tue, 2007-11-27 at 21:12 +0100, Romain Liévin wrote:

> > The Debian packages of tilp, tiemu, libticalcs, libticables, libtifiles,
> > libtifiles and skinedit were orphaned by the previous maintainer, Julien
> > Blache. Some of them now fail to build from source because the modules
> > packages were removed because they are apparently part of Linux now:
> >
> > http://bugs.debian.org/362162
> 
> This is not fully exact: two of them (tipar/tiusb) are a part of the 
> Linux kernel tree but one of them (tiusb) has been removed from kernel. 
> Anyways, these modules are not needed any longer. TiLP2 provides a full 
> user-land support and relies on udev.

Ah, good to hear they aren't needed.

> > Are you interested in adopting these packages, or do you know any Debian
> > users who would be interested in keeping them in Debian and helping
> > maintain them? Ideally someone who has access to the hardware would be
> > good.
> 
> I may be interested in because 1) I did not find any users to manage 
> this 2) I have been managing my own Debian packages for 6 months 
> starting at JB's packages 3) I'm using Debian everywhere 4) I have 
> access to hardware (I'm the developer).
> 
> Nevertheless, I'm waiting for Julien Blache's phone calling before 
> giving you a final decision; Maybe you don't know: we are two guys 
> working on the three most importants projects (tilp/tiemu/tigcc) so 
> development is using a lot of my time.

Perhaps Julien would have time to sponsor your packages?

If not, here is the procedure to get the packages updated:

First read this:

http://people.debian.org/~mpalmer/debian-mentors_FAQ.html

Then get the packages uploaded to:

http://mentors.debian.net

Then ask for a sponsor on this list:

http://lists.debian.org/debian-mentors/

Once the sponsor is happy with your contributions, they can propose that
you become a DM (Debian Maintainer). DMs are people who can upload
specific packages to the archive:

http://www.debian.org/vote/2007/vote_003

Once you becomes a DM, you will be able to upload packages that you
maintain that a sponsor has previously tagged with a
"DM-Upload-Allowed: yes" field and signed and uploaded to Debian.
The DM process is a fairly new one, so we're still shaking out the bugs.

The other way to get direct upload rights (for any package) is to go
through NM. Currently this is a fairly long and arduous process that
requires some effort:

http://www.debian.org/devel/join/newmaint

> > I also note that src/win32/porttalk_ioctl.h is extremely non-free, and
> > shouldn't be distributed with libticables:
>    
> We fixed these issues few months ago by using MPlayer's driver (GPL'ed) 
> and we fixed TiEmu, too (it contained some unknown/non-free licensed code).

Ah, good to hear.

-- 
bye,
pabs

http://wiki.debian.org/PaulWise
[signature.asc (application/pgp-signature, inline)]

Information stored:
Bug#362163; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Paul Wise <pabs@debian.org>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #20 received at 362163-quiet@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs@debian.org>
To: Romain Liévin <roms@lievin.net>
Cc: 362161-quiet@bugs.debian.org, 362159-quiet@bugs.debian.org, 362157-quiet@bugs.debian.org, 362163-quiet@bugs.debian.org, 362164-quiet@bugs.debian.org, 362166-quiet <362166-quiet@bugs.debian.org>
Subject: Re: Debian: tilp/tiemu/libticalcs/libticables/libtifiles/skinedit: needs love
Date: Sat, 01 Dec 2007 07:00:57 +0930
[Message part 1 (text/plain, inline)]
On Fri, 2007-11-30 at 21:15 +0100, Romain Liévin wrote:

> Following JB's phone calling, I will maintain these packages.
>
> > Perhaps Julien would have time to sponsor your packages?
>  
> Yes, he agrees.

Excellent, keeping the bugs informed.

-- 
bye,
pabs

http://wiki.debian.org/PaulWise
[signature.asc (application/pgp-signature, inline)]

Owner recorded as "Krzysztof Burghardt" <krzysztof@burghardt.pl>. Request was from "Krzysztof Burghardt" <krzysztof@burghardt.pl> to control@bugs.debian.org. (Mon, 13 Oct 2008 14:57:10 GMT) Full text and rfc822 format available.

Changed Bug title to `ITA: libticables3 -- support library for Texas' from `O: libticables3 -- support library for Texas Instruments link cables'. Request was from "Krzysztof Burghardt" <krzysztof@burghardt.pl> to control@bugs.debian.org. (Mon, 13 Oct 2008 14:57:10 GMT) Full text and rfc822 format available.

Changed Bug title to `ITA: libticables3 -- support library for Texas \' from `ITA: libticables3 -- support library for Texas'. Request was from "Krzysztof Burghardt" <krzysztof@burghardt.pl> to control@bugs.debian.org. (Mon, 13 Oct 2008 15:09:03 GMT) Full text and rfc822 format available.

Changed Bug title to `ITA: libticables3 -- support library for Texas Instruments link cables' from `ITA: libticables3 -- support library for Texas \'. Request was from Krzysztof Burghardt <krzysztof@burghardt.pl> to control@bugs.debian.org. (Mon, 13 Oct 2008 15:33:06 GMT) Full text and rfc822 format available.

Owner changed from "Krzysztof Burghardt" <krzysztof@burghardt.pl> to Krzysztof Burghardt <krzysztof@burghardt.pl>. Request was from Krzysztof Burghardt <krzysztof@burghardt.pl> to control@bugs.debian.org. (Mon, 13 Oct 2008 19:00:03 GMT) Full text and rfc822 format available.

Owner changed from Krzysztof Burghardt <krzysztof@burghardt.pl> to Krzysztof Burghardt <krzysztof@burghardt.pl>. Request was from Krzysztof Burghardt <krzysztof@burghardt.pl> to control@bugs.debian.org. (Tue, 14 Oct 2008 07:03:07 GMT) Full text and rfc822 format available.

Reply sent to Krzysztof Burghardt <krzysztof@burghardt.pl>:
You have taken responsibility. (Mon, 20 Oct 2008 14:24:07 GMT) Full text and rfc822 format available.

Notification sent to Julien BLACHE <jblache@debian.org>:
Bug acknowledged by developer. (Mon, 20 Oct 2008 14:24:07 GMT) Full text and rfc822 format available.

Message #37 received at 362163-close@bugs.debian.org (full text, mbox):

From: Krzysztof Burghardt <krzysztof@burghardt.pl>
To: 362163-close@bugs.debian.org
Subject: Bug#362163: fixed in libticables3 3.9.7-1
Date: Mon, 20 Oct 2008 14:17:03 +0000
Source: libticables3
Source-Version: 3.9.7-1

We believe that the bug you reported is fixed in the latest version of
libticables3, which is due to be installed in the Debian FTP archive:

libticables3-dev_3.9.7-1_amd64.deb
  to pool/main/libt/libticables3/libticables3-dev_3.9.7-1_amd64.deb
libticables3_3.9.7-1.diff.gz
  to pool/main/libt/libticables3/libticables3_3.9.7-1.diff.gz
libticables3_3.9.7-1.dsc
  to pool/main/libt/libticables3/libticables3_3.9.7-1.dsc
libticables3_3.9.7-1_amd64.deb
  to pool/main/libt/libticables3/libticables3_3.9.7-1_amd64.deb
libticables3_3.9.7.orig.tar.gz
  to pool/main/libt/libticables3/libticables3_3.9.7.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 362163@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Krzysztof Burghardt <krzysztof@burghardt.pl> (supplier of updated libticables3 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 18 Oct 2008 00:00:27 +0200
Source: libticables3
Binary: libticables3-dev libticables3
Architecture: source amd64
Version: 3.9.7-1
Distribution: unstable
Urgency: low
Maintainer: Krzysztof Burghardt <krzysztof@burghardt.pl>
Changed-By: Krzysztof Burghardt <krzysztof@burghardt.pl>
Description: 
 libticables3 - support library for Texas Instruments link cables
 libticables3-dev - support library for Texas Instruments link cables [development fi
Closes: 362163
Changes: 
 libticables3 (3.9.7-1) unstable; urgency=low
 .
   * New upstream
   * New maintainer (Closes: #362163)
   * Fixed all lintian warrnings
   * Bumped Standards-Version to 3.8.0 (no change needed)
Checksums-Sha1: 
 ac806435bce8ac2c57f9c77ec5b4405445534324 1107 libticables3_3.9.7-1.dsc
 162cb7e63ced31221a67fac5ea0c14610f392a99 576036 libticables3_3.9.7.orig.tar.gz
 2c7a3df0975523e159167b937ee1540f8af46902 6299 libticables3_3.9.7-1.diff.gz
 54f28fd2080c8f2c83ef05d55a94dcc5bc230783 59452 libticables3-dev_3.9.7-1_amd64.deb
 703fb003dcd305c989ea8c4104db529fde4a5f00 54928 libticables3_3.9.7-1_amd64.deb
Checksums-Sha256: 
 7bcd786b73a1d6fc92dbbf3d63c7e0e2964f085e0522e1d2c7726a35aea31a85 1107 libticables3_3.9.7-1.dsc
 725fe6c24c84c744c82e4cd35ec185d82afbeeb630c77f1ba928f2cd5817f0c1 576036 libticables3_3.9.7.orig.tar.gz
 833668e0451306c0351656780bd23f172f048c37aef2bbf8050cc7d783b8bfca 6299 libticables3_3.9.7-1.diff.gz
 3dfc2dd7af4a09e105ebb775f03cbf01b330d99cf45f8bececf23cb613c4b160 59452 libticables3-dev_3.9.7-1_amd64.deb
 95eda76fb7ea0e2d723759a7e8a6860110efd2179528fd3217d096b7af5ea9f9 54928 libticables3_3.9.7-1_amd64.deb
Files: 
 ecd4fff9bfac7f52a67576ca437989ac 1107 libs optional libticables3_3.9.7-1.dsc
 30f975701a5b99af2a4df9917901fa45 576036 libs optional libticables3_3.9.7.orig.tar.gz
 41a49559bf293d54525c3f0294d5f387 6299 libs optional libticables3_3.9.7-1.diff.gz
 09663915fe0e0e12fa9b250b510a0c42 59452 libdevel optional libticables3-dev_3.9.7-1_amd64.deb
 e0146b5f8cfdf926853db7cd3cce8398 54928 libs optional libticables3_3.9.7-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iD8DBQFI/I3PzWFP1/XWUWkRAp6FAJ0ek8dol2bsHAgvsNmZpaRpEPfQ4wCfRgsX
Bp7o3R2hdRY2EHwhFCs44IM=
=0blH
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 18 Nov 2008 07:29:57 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 00:33:07 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.